Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect.impl.asm
Class AsmMemberInfo

    java.lang.Object
      org.codehaus.aspectwerkz.reflect.impl.asm.AsmMemberInfo

All Implemented Interfaces:
  MemberInfo, ReflectionInfo

Direct Known Subclasses:
  AsmConstructorInfo, AsmFieldInfo, AsmMethodInfo

    public abstract class AsmMemberInfo

extends Object
implements MemberInfo

ASM implementation of the MemberInfo interface.

Author:
  Jonas Bonr

Field Summary
`protected List` | `m_annotations` The annotations.
`protected AsmClassInfoRepository` | `m_classInfoRepository` The class info repository.
`protected ClassInfo` | `m_declaringType` The declaring type.
`protected String` | `m_declaringTypeName` The declaring type name.
`protected WeakReference` | `m_loaderRef` The class loader wrapped in a weak ref.
`protected MemberStruct` | `m_member` The member info.

Method Summary
`ClassInfo` | `getDeclaringType()` Returns the declaring type.
`int` | `getModifiers()` Returns the modifiers.
`String` | `getName()` Returns the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.aspectwerkz.reflect.ReflectionInfo
`getAnnotations, getSignature`

Field Detail

### m_member

    protected final MemberStruct m_member

  The member info.

### m_loaderRef

    protected final WeakReference m_loaderRef

  The class loader wrapped in a weak ref.

### m_declaringTypeName

    protected final String m_declaringTypeName

  The declaring type name.

### m_declaringType

    protected ClassInfo m_declaringType

  The declaring type.

### m_annotations

    protected List m_annotations

  The annotations.

### m_classInfoRepository

    protected final AsmClassInfoRepository m_classInfoRepository

  The class info repository.

Method Detail

### getName

    public String getName()

  Returns the name.

  Specified by:
    `getName` in interface `ReflectionInfo`
  Returns:
    the name

### getModifiers

    public int getModifiers()

  Returns the modifiers.

  Specified by:
    `getModifiers` in interface `ReflectionInfo`
  Returns:
    the modifiers

### getDeclaringType

    public ClassInfo getDeclaringType()

  Returns the declaring type.

  Specified by:
    `getDeclaringType` in interface `MemberInfo`
  Returns:
    the declaring type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.